//
//  ToggleableButton.swift
//  Tusker
//
//  Created by Shadowfacts on 5/13/23.
//  Copyright © 2023 Shadowfacts. All rights reserved.
//

import UIKit

class ToggleableButton: UIButton {
    
    let activeColor: UIColor
    
    var active: Bool {
        didSet {
            tintColor = active ? activeColor : nil
        }
    }
    
    init(activeColor: UIColor) {
        self.activeColor = activeColor
        self.active = false
        super.init(frame: .zero)
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
}
